$! +++
$!
$!	JMETER.COM
$!
$! Author : Jean-Yves BOURLES, Thierry USO
$! Date   : 23-February-2006
$! Object : control Jmeter
$!
$!     
$! ---
$!
$! set ver
$!
$ versionJava = F$TRNLNM("java_version")
$!
$!
$ savedir = F$Environment("DEFAULT")
$!
$ Jmeter = F$Environment("PROCEDURE")
$!
$ Jmeterbin = F$Parse(Jmeter,,,"DEVICE") + F$Parse(Jmeter,,,"DIRECTORY")
$ Jmeterbin = f$edit(Jmeterbin, "TRIM, UPCASE")
$ Jmeterroot = F$Extract(0,F$Locate(".BIN", Jmeterbin), Jmeterbin) + "]"
$ Jmeterscratch = F$Extract(0,F$Locate(".BIN", Jmeterbin), Jmeterbin) + ".scratch]"
$ Jmeterlib = F$Extract(0,F$Locate(".BIN", Jmeterbin), Jmeterbin) + ".LIB]"
$!
$!
$ def/job/log SYS$SCRATCH 'Jmeterscratch'
$!
$! +++
$! choose the jvm version
$! ---
$!
$ if versionJava .eqs. "" 
$   then
$   if F$Trnlnm("IREPORT_JVM") .nes. ""
$     then
$     P1 = F$Trnlnm("JMETER_JVM")
$   endif
$ endif
$!
$ if versionJava .eqs. "" 
$ then
$   @sys$manager:java$142_setup FAST
$ else
$   @sys$manager:java$'versionJava'_setup FAST
$ endif
$!
$ write SYS$OUTPUT ""
$ java -version
$ write SYS$OUTPUT ""
$!  
$ set proc/parse=exten
$ define/nolog "DECC$EFS_CASE_PRESERVE" "ENABLE"
$!
$! +++
$! modify the jvm behaviour
$! ---
$!
$ set proc/parse=extended
$ def/nolog "DECC$EFS_CASE_PRESERVE" "ENABLE"
$!
$ def/job/nolog "JAVA$FILENAME_CONTROLS" "540227174"
$ def/job/nolog JAVA$ENABLE_ENVIRONMENT_EXPANSION TRUE
$ def/job/nolog JAVA$ENABLE_ENVIRONMENT_EXPANSION TRUE
$!
$!
$! Assign java$classpath 
$!
$ jarpath = ""
$ jarfile = ""
$!
$!
$ loop_jar:
$   jarfile = F$SEARCH("''Jmeterlib'*.jar")
$   if jarfile .nes. "" 
$   then
$       filename = f$parse(jarfile ,,, "NAME")
$       filetype = f$parse(jarfile ,,, "TYPE")
$       filespec = Jmeterlib + filename + filetype
$       jarpath = "''jarpath'" + filespec + ","
$       goto loop_jar
$   endif
$!
$  jarpath = F$EXTRACT(0, F$LENGTH(jarpath)-1, jarpath)
$  sh sym jarpath
$!
$ jvm = F$Trnlnm("JMETER_JVM")
$ if jvm .eqs. ""
$   then
$   define/nolog JAVA$CLASSPATH [],-
    'jarpath',-
    sys$common:[java$142.lib]tools.jar
$ else
$   define/nolog JAVA$CLASSPATH [],-
   'jarpath',-
    sys$common:[java$'jvm'.lib]tools.jar
$!
$!
$   deassign/system JMETER_JVM
$ endif
$!
$ sh sym jarpath
$ sh log JAVA$CLASSPATH

$ Jmeterdev = F$Parse(Jmeter,,,"DEVICE")
$ Jmeterdir = F$Parse(Jmeterroot,,,"DIRECTORY")
$!
$! Compute jmeter.home
$!
$ Jmeter_home = "/" + f$element(0, ":", Jmeterdev) + "/"
$ num = 0
$ loop:
$!
$    elem = f$element(num, ".", Jmeterdir)
$    if num .eq. 0 then elem = f$extract(1, f$length(elem), elem)
$    if f$element(num+1, ".", Jmeterdir) .eqs. "." 
$    then
$       elem = f$extract(0, f$length(elem)-1, elem)
$       goto fin_2
$    endif
$    Jmeter_home = Jmeter_home + elem + "/"
$    num = num + 1
$    goto loop
$!
$ fin_2:
$    Jmeter_home = Jmeter_home + elem
$!
$! sh sym Jmeter_home
$!
$   show displa/symb
$!
$! Create option file
$!
$   open/write opt opt.dat
$!
$   write opt "-DJmeter.home=''Jmeter_home'"
$   if DECW$DISPLAY_NODE .nes. "" 
$   then   
$      write opt "-DJmeter.display.node=''DECW$DISPLAY_NODE'"
$   endif
$!
$   if DECW$DISPLAY_TRANSPORT .nes. "" 
$   then   
$       write opt "-DJmeter.display.transport=''DECW$DISPLAY_TRANSPORT'"
$   endif
$!
$   close opt
$!
$!
$start:         
$!
$ set default 'Jmeterbin'
$!
$ java -server -cp $java$classpath  "-V" opt.dat -jar "ApacheJMeter.jar" 'P1' 'P2' 'P3' 'P4' 'P5' 'P6' 'P7' 'P8'
$!
$ set default 'savedir'
$!
$ exit

